using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Shlukova_Analyza_BP
{
    public partial class ucShluky : UserControl
    {
        private static ucShluky instance;
        public static ucShluky Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new ucShluky();
                }
                return instance;
            }
        }
        public ucShluky()
        {
            InitializeComponent();
        }
        private void numericMin_ValueChanged(object sender, EventArgs e)
        {
            if (numericMin.Value > numericMax.Value)
            {
                numericMax.Value = numericMin.Value;
            }
        }
        private void numericMax_ValueChanged(object sender, EventArgs e)
        {
            if (numericMin.Value > numericMax.Value)
            {
                numericMin.Value = numericMax.Value;
            }
        }
        public int MaxShluku
        {
            get { return (int)numericMax.Value; }
        }
        public int MinShluku
        {
            get { return (int)numericMin.Value; }
        }
        public int Iteraci
        {
            get { return (int)numericIter.Value; }
        }
    }
}
